Subject: Re: [bug#33038] [PATCH 3/6] bootstrap: Add %bootstrap-mes.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 21 Oct 2018 23:09:16 +0200

Hi!

Jan Nieuwenhuizen <[email-masked]> skribis:

> Ludovic Courtès writes:

[...]

>> Please move the ‘use-modules’ form to the top level (non-top-level
>> ‘use-modules’ works pretty much by chance).
>
> Sure, do you mean like this?
>
> $ git diff -w
> diff --git a/gnu/packages/bootstrap.scm b/gnu/packages/bootstrap.scm
> index f33fc061e..f43e405f8 100644
> --- a/gnu/packages/bootstrap.scm
> +++ b/gnu/packages/bootstrap.scm
> @@ -623,12 +623,13 @@ exec ~a/bin/.gcc-wrapped -B~a/lib \
>       `(#:guile ,%bootstrap-guile
>         #:modules ((guix build utils))
>         #:builder
> +       (begin
> +         (use-modules (guix build utils)
> +                      (ice-9 popen))
>           (let ((out     (assoc-ref %outputs "out"))
>                 (tar     (assoc-ref %build-inputs "tar"))
>                 (xz      (assoc-ref %build-inputs "xz"))
>                 (tarball (assoc-ref %build-inputs "tarball")))
> -         (use-modules (guix build utils)
> -                      (ice-9 popen))
>  
>             (mkdir out)
>             (copy-file tarball "binaries.tar.xz")

Exactly.

> I copied this from %bootstrap-gcc, do we want to to change this in all
> bootstrap packages too?

Yes, we should do that while we’re at it.

> Ah yes, that's nice.  Hmm, there's a slight complication because for the
> i686-linux version I cheated; icu4c, python-more-itertools and swig fail
> to build on core-updates-next.  I added a hack and reverted that...
> which is probably less than great.  So I cleaned it up a bit and just
> added it.
>
> So, now we three commits instead of this single one
>
> 0001-bootstrap-Add-mes-stripped-mes-bootstrap-tarball.patch
> 0002-bootstrap-FTBFS-hack-for-icu4c-python-more-itertools.patch
> 0003-bootstrap-Add-bootstrap-mes.patch
>
>
> (attached, and also on my gitlab core-updates-next.  Now for a
> rebuild...

Heh.  :-)

Well there’s the option of merging core-updates as Marius suggested,
though that will mean yet another (partial) rebuild, so you’d have to be
patient.  WDYT?

> From 04c237218d10756582e6dce5763eaca9704d13cf Mon Sep 17 00:00:00 2001
> From: Jan Nieuwenhuizen <[email-masked]>
> Date: Sat, 20 Oct 2018 09:02:39 +0200
> Subject: [PATCH 3/3] bootstrap: Add %bootstrap-mes.
> 
> This include bootstrap seeds
> 
>     mes-stripped-0.18-0.08f04f5-x86_64-linux.tar.xz
>     14sbcm79ml4rgygxvx1135827g3ggfx1c1vchk77z26yibbdw9nh
> 
>     mes-stripped-0.18-0.08f04f5-i686-linux.tar.xz
>     1p116ya9n52852bryh34n7db4mhvi98qifmmwygl7nbyc4dz92jy

I think this info is not necessary here since those hashes appear in the
file.

> built with the previous commit
> 
>     dea5dfa03 bootstrap: FTBFS hack for icu4c, python-more-itertools, swig.

In the final commit please write the full rather than the abbreviated
commit hash.

Anyway LGTM modulo maybe one rebuild and commit log tweak.

Thank you!

Ludo’.